View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000134Ecere SDKidepublic2008-08-22 22:412012-03-29 07:52
Reporterrohypnol 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000134: Run project multiple times
DescriptionAt least in Windows:
You can hit Ctrl+F5 as much as you want to run the project again and again... But if you make changes and want to recompile you have to close all instances. Also, they're "out of control" and if they hang they can only be closed by the Windows Task Manager. The IDE should control it's children. You can also do Ctrl+F5 and then F5.
Normally, this shouldn't be possible as the IDE should launch at most one instance of the application. Is this some special feature? If it is, it can cause a lot of confusion and it should be removed. Also, while F5 or Ctrl+F5 are in control (the app is running because the user pressed one of them), they should both be disabled until the running app is stopped and the Shift+F5 should be enabled in both cases.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000085)
jerome (administrator)
2008-08-22 22:43

Ctrl-F5 launches the process without any control.
F5 is Debug/Start for a run controlled by the IDE.

- Issue History
Date Modified Username Field Change
2008-08-22 22:41 rohypnol New Issue
2008-08-22 22:43 jerome Status new => closed
2008-08-22 22:43 jerome Note Added: 0000085
2008-08-22 22:43 jerome Resolution open => no change required
2010-07-25 21:51 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker